Bug 189230 - www/chromium 34.0.1847.132 not building on FreeBSD 10
www/chromium 34.0.1847.132 not building on FreeBSD 10
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: freebsd-chromium
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-02 12:00 UTC by kaltheat
Modified: 2014-05-03 11:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description kaltheat 2014-05-02 12:00:00 UTC
Hi,

I get the following error when trying to build chromium:

..
===>   FreeBSD 10 autotools fix applied to /usr/ports/www/chromium/work/chromium-34.0.1847.132/sdch/open-vcdiff/m4/libtool.m4
===>   FreeBSD 10 autotools fix applied to /usr/ports/www/chromium/work/chromium-34.0.1847.132/sdch/open-vcdiff/configure
cd /usr/ports/www/chromium/work/chromium-34.0.1847.132 && /usr/bin/env CC=cc  CXX=c++  GYP_GENERATORS=ninja  GYP_DEFINES="use_cups=1  use_system_yasm=1  use_system_libxml=1  use_system_ffmpeg=0  use_system_libusb=1  use_system_libevent=1  use_system_libvpx=0  linux_breakpad=0  linux_strip_binary=1  linux_use_tcmalloc=0  linux_use_heapchecker=0  test_isolation_mode=noop  clang_use_chrome_plugins=0  disable_nacl=1  enable_webrtc=1  enable_openmax=1  enable_one_click_signin=1  werror=  no_gc_sections=1  os_ver=1000510  prefix_dir=/usr/local  python_ver=2.7 google_api_key=AIzaSyBsp9n41JLW8jCokwn7vhoaMejDFRd1mp8  google_default_client_id=996322985003.apps.googleusercontent.com  google_default_client_secret=IR1za9-1VK0zZ0f_O8MVFicn ffmpeg_branding=Chrome proprietary_codecs=1 use_gconf=0 use_pulseaudio=0 buildtype=Official clang=1" PYTHON="/usr/local/bin/python2.7" PKG_CONFIG=pkgconf ac_cv_path_PERL=/usr/local/bin/perl ac_cv_path_PERL_PATH=/usr/local/bin/perl AR=/usr/bin/ar CFLAGS="-O2 -pip
 e -fno-stack-protector -Wno-unknown-warning-option -fno-strict-aliasing"  CPPFLAGS=""  CXXFLAGS="-O2 -pipe -fno-stack-protector -Wno-unknown-warning-option -fno-strict-aliasing"  LDFLAGS="" SHELL=/bin/sh CONFIG_SHELL=/bin/sh /usr/local/bin/python2.7  ./build/gyp_chromium chrome/chrome.gyp --depth .
Failed to find depot_tools
Traceback (most recent call last):
  File "./build/gyp_chromium", line 42, in <module>
    import find_depot_tools
  File "/usr/ports/www/chromium/work/chromium-34.0.1847.132/tools/find_depot_tools.py", line 45, in <module>
    import breakpad
ImportError: No module named breakpad
*** Error code 1
..

Regards,
kaltheat
Comment 1 Edwin Groothuis freebsd_committer 2014-05-02 12:00:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-chromium

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 jiashiun 2014-05-02 13:24:45 UTC
patch attached in this discussion thread [1] works for me past the
error. Still building right now, though.

[1] https://groups.google.com/a/chromium.org/forum/#!topic/chromium-packagers/7ju28TKAAvA


-Jia-Shiun
Comment 3 dfilter freebsd_committer 2014-05-02 22:21:38 UTC
Author: rene
Date: Fri May  2 21:21:33 2014
New Revision: 352849
URL: http://svnweb.freebsd.org/changeset/ports/352849
QAT: https://qat.redports.org/buildarchive/r352849/

Log:
  Fix build when depot_tools is not present locally (which is usually the
  case on non-development machines).
  
  PR:		ports/189230
  Submitted by:	Jia-Shiun Li <jiashiun@gmail.com>
  Obtained from:	https://codereview.chromium.org/171513010/
  Tested by:	gjb
  MFH:		2014Q2

Modified:
  head/www/chromium/files/patch-build__gyp_chromium

Modified: head/www/chromium/files/patch-build__gyp_chromium
==============================================================================
--- head/www/chromium/files/patch-build__gyp_chromium	Fri May  2 20:20:07 2014	(r352848)
+++ head/www/chromium/files/patch-build__gyp_chromium	Fri May  2 21:21:33 2014	(r352849)
@@ -1,5 +1,30 @@
 --- ./build/gyp_chromium.orig	2014-04-24 22:36:09.000000000 +0200
 +++ ./build/gyp_chromium	2014-04-24 23:23:42.000000000 +0200
+@@ -39,8 +39,6 @@
+ sys.path.insert(1, os.path.join(chrome_src, 'third_party', 'WebKit',
+     'Source', 'build', 'scripts'))
+ 
+-import find_depot_tools
+-
+ # On Windows, Psyco shortens warm runs of build/gyp_chromium by about
+ # 20 seconds on a z600 machine with 12 GB of RAM, from 90 down to 70
+ # seconds.  Conversely, memory usage of build/gyp_chromium with Psyco
+@@ -376,6 +374,7 @@
+   # TODO(bradnelson): take this out once this issue is fixed:
+   #    http://code.google.com/p/gyp/issues/detail?id=177
+   if sys.platform == 'cygwin':
++    import find_depot_tools
+     depot_tools_path = find_depot_tools.add_depot_tools_to_path()
+     python_dir = sorted(glob.glob(os.path.join(depot_tools_path,
+                                                'python2*_bin')))[-1]
+@@ -441,6 +440,7 @@
+   # don't use the automatic toolchain, as it currently only supports VS2013.
+   msvs_version = os.environ.get('GYP_MSVS_VERSION', '2013')
+   if sys.platform in ('win32', 'cygwin') and msvs_version.startswith('2013'):
++    import find_depot_tools
+     depot_tools_path = find_depot_tools.add_depot_tools_to_path()
+     toolchain = os.path.normpath(os.path.join(
+         depot_tools_path, 'win_toolchain', 'vs2013_files'))
 @@ -477,8 +477,9 @@
      args.append('--check')
  
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 kaltheat 2014-05-03 09:37:32 UTC
OK.
With patch building works for me now.

Thank you,
kaltheat
Comment 5 dfilter freebsd_committer 2014-05-03 11:03:51 UTC
Author: rene
Date: Sat May  3 10:03:45 2014
New Revision: 352899
URL: http://svnweb.freebsd.org/changeset/ports/352899
QAT: https://qat.redports.org/buildarchive/r352899/

Log:
  MFH: r352849
  
  Fix build when depot_tools is not present locally (which is usually the
  case on non-development machines).
  
  PR:		ports/189230
  Submitted by:	Jia-Shiun Li <jiashiun@gmail.com>
  Obtained from:	https://codereview.chromium.org/171513010/
  Tested by:	gjb
  
  Approved by:	portmgr (erwin)

Modified:
  branches/2014Q2/www/chromium/files/patch-build__gyp_chromium
Directory Properties:
  branches/2014Q2/   (props changed)

Modified: branches/2014Q2/www/chromium/files/patch-build__gyp_chromium
==============================================================================
--- branches/2014Q2/www/chromium/files/patch-build__gyp_chromium	Sat May  3 10:02:35 2014	(r352898)
+++ branches/2014Q2/www/chromium/files/patch-build__gyp_chromium	Sat May  3 10:03:45 2014	(r352899)
@@ -1,5 +1,30 @@
 --- ./build/gyp_chromium.orig	2014-04-24 22:36:09.000000000 +0200
 +++ ./build/gyp_chromium	2014-04-24 23:23:42.000000000 +0200
+@@ -39,8 +39,6 @@
+ sys.path.insert(1, os.path.join(chrome_src, 'third_party', 'WebKit',
+     'Source', 'build', 'scripts'))
+ 
+-import find_depot_tools
+-
+ # On Windows, Psyco shortens warm runs of build/gyp_chromium by about
+ # 20 seconds on a z600 machine with 12 GB of RAM, from 90 down to 70
+ # seconds.  Conversely, memory usage of build/gyp_chromium with Psyco
+@@ -376,6 +374,7 @@
+   # TODO(bradnelson): take this out once this issue is fixed:
+   #    http://code.google.com/p/gyp/issues/detail?id=177
+   if sys.platform == 'cygwin':
++    import find_depot_tools
+     depot_tools_path = find_depot_tools.add_depot_tools_to_path()
+     python_dir = sorted(glob.glob(os.path.join(depot_tools_path,
+                                                'python2*_bin')))[-1]
+@@ -441,6 +440,7 @@
+   # don't use the automatic toolchain, as it currently only supports VS2013.
+   msvs_version = os.environ.get('GYP_MSVS_VERSION', '2013')
+   if sys.platform in ('win32', 'cygwin') and msvs_version.startswith('2013'):
++    import find_depot_tools
+     depot_tools_path = find_depot_tools.add_depot_tools_to_path()
+     toolchain = os.path.normpath(os.path.join(
+         depot_tools_path, 'win_toolchain', 'vs2013_files'))
 @@ -477,8 +477,9 @@
      args.append('--check')
  
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Rene Ladan freebsd_committer 2014-05-03 11:20:31 UTC
State Changed
From-To: open->closed

Committed, thanks